com.trendmicro.ds.platform.rest.api

## Interface ISAMLIdentityProviderAPI

-     @Path(value="/identity-providers/saml")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface ISAMLIdentityProviderAPI

  Interface to the SAML Identity Provider API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateSAMLIdentityProviderResponse` | `createSAMLIdentityProvider(java.lang.String sessionID, CreateSAMLIdentityProviderRequest createSAMLIdentityProviderRequest)` Create a new SAML identity provider.
    `void` | `deleteSAMLIdentityProvider(java.lang.String sessionID, long samlIdentityProviderID)` Delete a SAML identity provider.
    `DescribeSAMLIdentityProviderResponse` | `describeSAMLIdentityProvider(java.lang.String sessionID, long samlIdentityProviderID)` Describe a SAML identity provider.
    `ListSAMLIdentityProvidersResponse` | `listSAMLIdentityProviders(java.lang.String sessionID, java.lang.Long id, java.lang.String op, java.lang.Integer maxItems)` List SAML identity providers.
    `ModifySAMLIdentityProviderResponse` | `modifySAMLIdentityProvider(java.lang.String sessionID, long samlIdentityProviderID, ModifySAMLIdentityProviderRequest modifySAMLIdentityProviderRequest)` Modify a SAML identity provider.

- - ### Method Detail

    - #### listSAMLIdentityProviders

          @GET
          ListSAMLIdentityProvidersResponse listSAMLIdentityProviders(@CookieParam(value="sID")
                                                                           java.lang.String sessionID,
                                                                           @QueryParam(value="id")
                                                                           java.lang.Long id,
                                                                           @QueryParam(value="op")
                                                                           java.lang.String op,
                                                                           @QueryParam(value="maxItems")
                                                                           java.lang.Integer maxItems)
                                                                    throws java.lang.Exception

      List SAML identity providers.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `id` - (optional) used to define the starting point for the query. Combine with `op` to page through results.
        `op` - (optional, required if `id` is specified) Currently-supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the SAMLIdentityProvider account, which defaults to 5000.
      Returns:
        a `ListSAMLIdentityProvidersResponse` with the SAML identity provider details.
      Throws:
        `java.lang.Exception`

    - #### createSAMLIdentityProvider

          @POST
          CreateSAMLIdentityProviderResponse createSAMLIdentityProvider(@CookieParam(value="sID")
                                                                              java.lang.String sessionID,
                                                                              CreateSAMLIdentityProviderRequest createSAMLIdentityProviderRequest)
                                                                       throws java.lang.Exception

      Create a new SAML identity provider.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `createSAMLIdentityProviderRequest` - a `CreateSAMLIdentityProviderRequest` with the SAML identity provider details.
      Returns:
        a `CreateSAMLIdentityProviderResponse` with the SAML identity provider details.
      Throws:
        `java.lang.Exception`

    - #### describeSAMLIdentityProvider

          @GET
           @Path(value="{samlIdentityProviderID}")
          DescribeSAMLIdentityProviderResponse describeSAMLIdentityProvider(@CookieParam(value="sID")
                                                                                                                          java.lang.String sessionID,
                                                                                                                          @PathParam(value="samlIdentityProviderID")
                                                                                                                          long samlIdentityProviderID)
                                                                                                                   throws java.lang.Exception

      Describe a SAML identity provider.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `samlIdentityProviderID` - the SAML identity provider ID.
      Returns:
        a `DescribeSAMLIdentityProviderResponse` with the SAML identity provider details.
      Throws:
        `java.lang.Exception`

    - #### modifySAMLIdentityProvider

          @POST
           @Path(value="{samlIdentityProviderID}")
          ModifySAMLIdentityProviderResponse modifySAMLIdentityProvider(@CookieParam(value="sID")
                                                                                                                       java.lang.String sessionID,
                                                                                                                       @PathParam(value="samlIdentityProviderID")
                                                                                                                       long samlIdentityProviderID,
                                                                                                                       ModifySAMLIdentityProviderRequest modifySAMLIdentityProviderRequest)
                                                                                                                throws java.lang.Exception

      Modify a SAML identity provider.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `samlIdentityProviderID` - the SAML identity provider ID.
        `modifySAMLIdentityProviderRequest` - a `ModifySAMLIdentityProviderRequest` with the details of the SAML identity provider.
      Returns:
        an `ModifySAMLIdentityProviderResponse` with the updated SAMLIdentityProvider details.
      Throws:
        `java.lang.Exception`

    - #### deleteSAMLIdentityProvider

          @DELETE
           @Path(value="{samlIdentityProviderID}")
          void deleteSAMLIdentityProvider(@CookieParam(value="sID")
                                                                                           java.lang.String sessionID,
                                                                                           @PathParam(value="samlIdentityProviderID")
                                                                                           long samlIdentityProviderID)
                                                                                    throws java.lang.Exception

      Delete a SAML identity provider.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `samlIdentityProviderID` - the SAML identity provider ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.